
function ciy_chart_farm1_c1(opdata) {
    this.func = ['farm_c1'];
    this.lastdata = {};
    this.resize = function () {
    }
    this.setdata = function (funame, data) {
        if (!data)
            return;
        this.lastdata[funame] = data;
        $5('[data-bank]', opdata.container).text(data.farm.name);
    }
    this.distory = function () {
    }


    opdata.container.append(`
    <div style="font-size: 1.5em;padding-bottom: 0.2em;background: linear-gradient(to bottom, #d2eeff, #129fe3);text-align:center; background-clip: text;-webkit-background-clip: text; color: transparent;letter-spacing: 0.2em; font-weight: bolder;" data-bank>　</div>
    `);

    var style = document.createElement("style");
    style.innerHTML = `
    `;
    window.document.head.appendChild(style);

}